import { LRLanguage, LanguageSupport } from '@codemirror/language';

/**
A language provider based on the [Lezer GLSL
parser](https://github.com/schimd-daniel/lezer-glsl), extended with
highlighting and indentation information.
*/
declare const glslLanguage: LRLanguage;
/**
Language support for GLSL.
*/
declare function glsl(): LanguageSupport;

export { glsl, glslLanguage };
